<template>
  <div style="width:50%;margin:auto;">
    <el-alert v-if="!selected" title="Error" type="error">Pas d'utilisateurs pour ce commit</el-alert>
    <el-card class="box-card" v-else style='position:relative;margin-bottom:20px;'>
      <div slot="header" class="clearfix">
        <span>{{ selected.name }}</span>
        <img :src="selected.avatar_url" style="position:absolute;top:3px;bottom:3px;right:3px;height:49px;" />
      </div>
      <div>
        <info label="Email">{{ selected.email }}</info>
        <info label="Login">{{ selected.login }}</info>
      </div>
    </el-card>
    <div style='display:flex;flex-direction:row-reverse'>
      <el-button type="primary" @click="$store.commit('SELECT', null)">Retour</el-button>
    </div>
  </div>
</template>

<script>
import Vuex from 'vuex'
import Info from './Info'
export default {
  components: {
    Info
  },
  computed: {
    ...Vuex.mapGetters(['selected'])
  }
}
</script>
